Topic: Cannot generate ruby API doc (using rdoc)

I'm trying to create HTML documentation for the new 1.9.2-p0 ruby.

Neither can I find ANY site on the Internet with such documentation (downloadable for offline use), worse, when I run
rdoc I get the error below. Does anyone know how/where I can get DOCUMENTATION for this lanugage??? Thanks!

(I ran rdoc in directory ~/.rvm/rubies/ruby-1.9.2-p0/lib/ruby/1.9.1)


Before reporting this, could you check that the file you're documenting         
compiles cleanly--RDoc is not a full Ruby parser, and gets confused easily if
fed invalid programs.

The internal error was:

        (ArgumentError) invalid byte sequence in UTF-8

invalid byte sequence in UTF-8
/home/mha/.rvm/gems/ruby-1.9.2-p0/gems/rdoc-2.5.11/lib/rdoc/parser.rb:87:in `scan'
        /home/mha/.rvm/gems/ruby-1.9.2-p0/gems/rdoc-2.5.11/lib/rdoc/parser.rb:87:in `binary?'
        /home/mha/.rvm/gems/ruby-1.9.2-p0/gems/rdoc-2.5.11/lib/rdoc/parser.rb:130:in `for'
        /home/mha/.rvm/gems/ruby-1.9.2-p0/gems/rdoc-2.5.11/lib/rdoc/rdoc.rb:286:in `parse_file'
        /home/mha/.rvm/gems/ruby-1.9.2-p0/gems/rdoc-2.5.11/lib/rdoc/rdoc.rb:324:in `block in parse_files'
        /home/mha/.rvm/gems/ruby-1.9.2-p0/gems/rdoc-2.5.11/lib/rdoc/rdoc.rb:322:in `map'
        /home/mha/.rvm/gems/ruby-1.9.2-p0/gems/rdoc-2.5.11/lib/rdoc/rdoc.rb:322:in `parse_files'
        /home/mha/.rvm/gems/ruby-1.9.2-p0/gems/rdoc-2.5.11/lib/rdoc/rdoc.rb:371:in `document'
        /home/mha/.rvm/gems/ruby-1.9.2-p0/gems/rdoc-2.5.11/bin/rdoc:15:in `<top (required)>'
        /home/mha/.rvm/gems/ruby-1.9.2-p0/bin/rdoc:19:in `load'
        /home/mha/.rvm/gems/ruby-1.9.2-p0/bin/rdoc:19:in `<main>'

Last edited by hasenstein (2010-08-21 08:47:41)